/**
 * @desc 获取人工盘点数据
 */
import { defaultSuccess, defaultError, http } from '@/plugins/axios'
import type { AxiosResponse } from 'axios'
export default async function (
	/** 申请单ID */
	applyId: number,

	success: (data: Array<material.ManualStockDTO>) => void = defaultSuccess,
	fail: (error: { code: string; error?: string }) => void = defaultError,
): Promise<void> {
	return http({
		method: 'get',
		url: `/manual/data/${applyId}`,
	})
		.then((data: AxiosResponse<Array<material.ManualStockDTO>, unknown>) => {
			success(data.data)
		})
		.catch((error: { code: string; error?: string }) => fail(error))
}
